noinst_LIBRARIES=libx509.a
INCLUDES=-I$(top_srcdir)/crypto

libx509_a_SOURCES=by_dir.c by_file.c v3_net.c v3_x509.c x509_cmp.c x509_d2.c \
	x509_def.c x509_err.c x509_ext.c x509_lu.c x509_obj.c x509_r2x.c \
	x509_req.c x509_set.c x509_txt.c x509_v3.c x509_vfy.c x509name.c \
	x509pack.c x509rset.c x509type.c x_all.c

EXTRA_DIST=Makefile.ssl attrib f x509.doc x509.err x509.h x509_vfy.h

errors x509_err.c x509.h: x509.err
	perl $(top_srcdir)/util/err-ins.pl x509.err x509.h
	perl $(top_srcdir)/crypto/err/err_genc.pl x509.h x509_err.c
